basis_basic< T >
Inheritance diagram for basis_basic< T >:

## Public Types

typedef basis_rep< T > | rep
typedef smart_pointer_nocopy< rep > | base
typedef rep::size_type | size_type
typedef rep::value_type | value_type
typedef rep::valued_type | valued_type
Public Types inherited from smart_pointer_nocopy< basis_rep< T > >
typedef basis_rep< T > | handled_type
typedef base::internal | internal

## Public Member Functions

| basis_basic (std::string name="")
void | reset (std::string &name)
void | reset_family_index (size_type k)
bool | is_initialized () const
size_type | degree () const
size_type | family_index () const
std::string | family_name () const
std::string | name () const
size_type | ndof (reference_element hat_K) const
size_type | nnod (reference_element hat_K) const
bool | is_continuous () const
bool | is_discontinuous () const
bool | is_nodal () const
bool | have_continuous_feature () const
bool | have_compact_support_inside_element () const
bool | is_hierarchical () const
size_type | size () const
const basis_basic< T > & | operator[] (size_type i_comp) const
bool | have_index_parameter () const
const basis_option & | option () const
valued_type | valued_tag () const
const std::string & | valued () const
const piola_fem< T > & | get_piola_fem () const
size_type | local_ndof_on_side (reference_element hat_K, const side_information_type &sid) const
void | local_idof_on_side (reference_element hat_K, const side_information_type &sid, Eigen::Matrix< size_type, Eigen::Dynamic, 1 > &loc_idof) const
size_type | ndof_on_subgeo (size_type map_dim, size_type subgeo_variant) const
size_type | nnod_on_subgeo (size_type map_dim, size_type subgeo_variant) const
size_type | first_inod_by_dimension (reference_element hat_K, size_type dim) const
size_type | first_idof_by_dimension (reference_element hat_K, size_type dim) const
template<class Value >
void | evaluate (reference_element hat_K, const point_basic< T > &hat_x, Eigen::Matrix< Value, Eigen::Dynamic, 1 > &value) const
template<class Value >
void | evaluate_on_side (reference_element tilde_K, const side_information_type &sid, const point_basic< T > &hat_x, Eigen::Matrix< Value, Eigen::Dynamic, 1 > &value) const
template<class Value >
void | grad_evaluate (reference_element hat_K, const point_basic< T > &hat_x, Eigen::Matrix< Value, Eigen::Dynamic, 1 > &value) const
const Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > & | hat_node (reference_element hat_K) const
template<class Function >
void | compute_dof (reference_element hat_K, const Function &f, Eigen::Matrix< T, Eigen::Dynamic, 1 > &dofs) const
template<class Value >
void | compute_dofs (reference_element hat_K, const Eigen::Matrix< Value, Eigen::Dynamic, 1 > &f_xnod, Eigen::Matrix< T, Eigen::Dynamic, 1 > &dof) const
const Eigen::Matrix< T, Eigen::Dynamic, Eigen::Dynamic > & | vdm (reference_element hat_K) const
const Eigen::Matrix< T, Eigen::Dynamic, Eigen::Dynamic > & | inv_vdm (reference_element hat_K) const
void | put (std::ostream &os, reference_element hat_K) const
void | put_hat_node (std::ostream &os, reference_element hat_K) const
void | put_hat_node_on_side (std::ostream &os, reference_element hat_K, const side_information_type &sid) const
Public Member Functions inherited from smart_pointer_nocopy< basis_rep< T > >
| smart_pointer_nocopy (basis_rep< T > *p=0)
| smart_pointer_nocopy (void *count, internal i)
| smart_pointer_nocopy (const smart_pointer_nocopy< basis_rep< T > > &x)
smart_pointer_nocopy< basis_rep< T > > & | operator= (const smart_pointer_nocopy< basis_rep< T > > &x)
| ~smart_pointer_nocopy ()
Public Member Functions inherited from smart_pointer_base< T, C >
| smart_pointer_base (T *p=0)
| smart_pointer_base (const smart_pointer_base< T, C > &)
| smart_pointer_base (void *count, internal)
smart_pointer_base< T, C > & | operator= (const smart_pointer_base< T, C > &)
| ~smart_pointer_base ()
const T * | pointer () const
const T & | data () const
const T * | operator-> () const
const T & | operator* () const
T * | pointer ()
T & | data ()
T * | operator-> ()
T & | operator* ()
int | reference_counter () const
counter * | get_count () const

## Protected Member Functions

void | _clear () const

## Additional Inherited Members

Static Public Member Functions inherited from persistent_table< basis_basic< T > >
static basis_basic< T > | load (const std::string &name)
static void | unload (const std::string &name)
static bool | verbose ()
static void | set_verbose (bool v)
Protected Types inherited from persistent_table< basis_basic< T > >
using | loaded_map_type = std::unordered_map< std::string, void * >
Static Protected Member Functions inherited from persistent_table< basis_basic< T > >
static loaded_map_type & | get_loaded_map ()
Static Protected Attributes inherited from persistent_table< basis_basic< T > >
static loaded_map_type | _loaded_map
static bool | _verbose

## Detailed Description

### template<class T>
class rheolef::basis_basic< T >

Definition at line 531 of file basis.h.

## Member Typedef Documentation

## rep

typedef basis_rep<T> rep

Definition at line 537 of file basis.h.

## base

typedef smart_pointer_nocopy<rep> base

Definition at line 538 of file basis.h.

## size_type

typedef rep::size_type size_type

Definition at line 539 of file basis.h.

## value_type

typedef rep::value_type value_type

Definition at line 540 of file basis.h.

## valued_type

typedef rep::valued_type valued_type

Definition at line 541 of file basis.h.

## Constructor & Destructor Documentation

## basis_basic()

basis_basic | ( | std::string | name = `""` | ) |

Definition at line 652 of file basis.h.

## Member Function Documentation

## reset()

void reset | ( | std::string & | name | ) |

Definition at line 78 of file basis_rep.cc.

## reset_family_index()

void reset_family_index | ( | size_type | k | ) |

Definition at line 93 of file basis_rep.cc.

## is_initialized()

bool is_initialized | ( |  | ) | const

Definition at line 551 of file basis.h.

## degree()

basis_basic< T >::size_type degree

Definition at line 689 of file basis.h.

## family_index()

basis_basic< T >::size_type family_index

Definition at line 675 of file basis.h.

## family_name()

std::string family_name

Definition at line 668 of file basis.h.

## name()

std::string name

Definition at line 682 of file basis.h.

## ndof()

basis_basic< T >::size_type ndof | ( | reference_element | hat_K | ) | const

Definition at line 696 of file basis.h.

## nnod()

basis_basic< T >::size_type nnod | ( | reference_element | hat_K | ) | const

Definition at line 703 of file basis.h.

## is_continuous()

bool is_continuous

Definition at line 717 of file basis.h.

## is_discontinuous()

bool is_discontinuous

Definition at line 724 of file basis.h.

## is_nodal()

bool is_nodal

Definition at line 731 of file basis.h.

## have_continuous_feature()

bool have_continuous_feature

Definition at line 738 of file basis.h.

## have_compact_support_inside_element()

bool have_compact_support_inside_element

Definition at line 745 of file basis.h.

## is_hierarchical()

bool is_hierarchical

Definition at line 759 of file basis.h.

## size()

basis_basic< T >::size_type size

Definition at line 752 of file basis.h.

## operator[]()

const basis_basic< T > & operator[] | ( | size_type | i_comp | ) | const

Definition at line 774 of file basis.h.

## have_index_parameter()

bool have_index_parameter

Definition at line 781 of file basis.h.

## option()

const basis_option & option

Definition at line 710 of file basis.h.

## valued_tag()

basis_basic< T >::valued_type valued_tag

Definition at line 788 of file basis.h.

## valued()

const std::string & valued

Definition at line 802 of file basis.h.

## get_piola_fem()

const piola_fem< T > & get_piola_fem

Definition at line 795 of file basis.h.

## local_ndof_on_side()

basis_basic< T >::size_type local_ndof_on_side | ( | reference_element | hat_K,
|  | const side_information_type & | sid
| ) |  | const

Definition at line 928 of file basis.h.

## local_idof_on_side()

void local_idof_on_side | ( | reference_element | hat_K,
|  | const side_information_type & | sid,
|  | Eigen::Matrix< size_type, Eigen::Dynamic, 1 > & | loc_idof
| ) |  | const

Definition at line 937 of file basis.h.

## ndof_on_subgeo()

basis_basic< T >::size_type ndof_on_subgeo | ( | size_type | map_dim,
|  | size_type | subgeo_variant
| ) |  | const

Definition at line 809 of file basis.h.

## nnod_on_subgeo()

basis_basic< T >::size_type nnod_on_subgeo | ( | size_type | map_dim,
|  | size_type | subgeo_variant
| ) |  | const

Definition at line 816 of file basis.h.

## first_inod_by_dimension()

basis_basic< T >::size_type first_inod_by_dimension | ( | reference_element | hat_K,
|  | size_type | dim
| ) |  | const

Definition at line 830 of file basis.h.

## first_idof_by_dimension()

basis_basic< T >::size_type first_idof_by_dimension | ( | reference_element | hat_K,
|  | size_type | dim
| ) |  | const

Definition at line 823 of file basis.h.

## evaluate()

void evaluate | ( | reference_element | hat_K,
|  | const point_basic< T > & | hat_x,
|  | Eigen::Matrix< Value, Eigen::Dynamic, 1 > & | value
| ) |  | const

Definition at line 852 of file basis.h.

## evaluate_on_side()

void evaluate_on_side | ( | reference_element | tilde_K,
|  | const side_information_type & | sid,
|  | const point_basic< T > & | hat_x,
|  | Eigen::Matrix< Value, Eigen::Dynamic, 1 > & | value
| ) |  | const

Definition at line 863 of file basis.h.

## grad_evaluate()

void grad_evaluate | ( | reference_element | hat_K,
|  | const point_basic< T > & | hat_x,
|  | Eigen::Matrix< Value, Eigen::Dynamic, 1 > & | value
| ) |  | const

Definition at line 875 of file basis.h.

## hat_node()

const Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > & hat_node | ( | reference_element | hat_K | ) | const

Definition at line 907 of file basis.h.

## compute_dof()

void compute_dof | ( | reference_element | hat_K,
|  | const Function & | f,
|  | Eigen::Matrix< T, Eigen::Dynamic, 1 > & | dofs
| ) |  | const

Definition at line 886 of file basis.h.

## compute_dofs()

void compute_dofs | ( | reference_element | hat_K,
|  | const Eigen::Matrix< Value, Eigen::Dynamic, 1 > & | f_xnod,
|  | Eigen::Matrix< T, Eigen::Dynamic, 1 > & | dof
| ) |  | const

Definition at line 897 of file basis.h.

## vdm()

const Eigen::Matrix< T, Eigen::Dynamic, Eigen::Dynamic > & vdm | ( | reference_element | hat_K | ) | const

Definition at line 837 of file basis.h.

## inv_vdm()

const Eigen::Matrix< T, Eigen::Dynamic, Eigen::Dynamic > & inv_vdm | ( | reference_element | hat_K | ) | const

Definition at line 844 of file basis.h.

## put()

void put | ( | std::ostream & | os,
|  | reference_element | hat_K
| ) |  | const

Definition at line 914 of file basis.h.

## put_hat_node()

void put_hat_node | ( | std::ostream & | os,
|  | reference_element | hat_K
| ) |  | const

Definition at line 921 of file basis.h.

## put_hat_node_on_side()

void put_hat_node_on_side | ( | std::ostream & | os,
|  | reference_element | hat_K,
|  | const side_information_type & | sid
| ) |  | const

Definition at line 947 of file basis.h.

## _clear()

void _clear

protected

Definition at line 661 of file basis.h.

The documentation for this class was generated from the following files:

- /build/rheolef-FQTnje/rheolef-7.1/fem/lib/basis.h
- /build/rheolef-FQTnje/rheolef-7.1/fem/lib/basis_rep.cc